Subject: bug#41669: Cross-compiled powerpc64-linux bootstrap-tarballs not reproducible

From: Leo Le Bouter <[email-masked]>
Date: Mon, 28 Dec 2020 13:55:28 +0100

On Sun, 2020-12-27 at 20:23 -0800, Chris Marusich wrote:
> I think you'll probably agree, so I've proactively started another
> build
> on two fresh single-core VMs (using the same procedure I described
> earlier, starting from the 1.2.0 installation ISO image).  It'll take
> a
> few days to finish, I'm sure.  Please let me know if you think we
> need
> the patch to run this final experiment.  Otherwise, I'll just report
> the
> results of this latest experiment in a few days' time.
> 

I did the same, I ran on both my laptop and another VM in the server:

$ ./pre-inst-env guix build --no-offload --cores=1 --
target=powerpc64le-linux-gnu -e '(@@ (gnu packages make-bootstrap)
%gcc-static)'

With latest master.

Let's see!